Open CASCADE Technology 7.8.2.dev
|
Class to build polygonal wires. More...
#include <BRepLib_MakePolygon.hxx>
Public Member Functions | |
BRepLib_MakePolygon () | |
Creates an empty MakePolygon. | |
BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2) | |
BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const Standard_Boolean Close=Standard_False) | |
BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4, const Standard_Boolean Close=Standard_False) | |
BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) | |
BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const Standard_Boolean Close=Standard_False) | |
BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const TopoDS_Vertex &V4, const Standard_Boolean Close=Standard_False) | |
void | Add (const gp_Pnt &P) |
void | Add (const TopoDS_Vertex &V) |
Standard_Boolean | Added () const |
Returns True if the last vertex or point was successfully added. | |
void | Close () |
const TopoDS_Vertex & | FirstVertex () const |
const TopoDS_Vertex & | LastVertex () const |
const TopoDS_Edge & | Edge () const |
Returns the last edge added to the polygon. | |
operator TopoDS_Edge () const | |
const TopoDS_Wire & | Wire () |
operator TopoDS_Wire () | |
![]() | |
void | Build () |
This is called by Shape(). It does nothing but may be redefined. | |
const TopoDS_Shape & | Shape () |
operator TopoDS_Shape () | |
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const |
returns the status of the Face after the shape creation. | |
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const |
Returns True if the Face generates new topology. | |
virtual const TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F) |
returns the list of generated Faces. | |
virtual Standard_Integer | NbSurfaces () const |
returns the number of surfaces after the shape creation. | |
virtual const TopTools_ListOfShape & | NewFaces (const Standard_Integer I) |
Return the faces created for surface I. | |
virtual const TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E) |
returns a list of the created faces from the edge <E>. | |
![]() | |
virtual | ~BRepLib_Command () |
Standard_Boolean | IsDone () const |
void | Check () const |
Raises NotDone if done is false. | |
Additional Inherited Members | |
![]() | |
BRepLib_MakeShape () | |
![]() | |
BRepLib_Command () | |
Set done to False. | |
void | Done () |
Set done to true. | |
void | NotDone () |
Set done to false. | |
![]() | |
TopoDS_Shape | myShape |
TopTools_ListOfShape | myGenFaces |
TopTools_ListOfShape | myNewFaces |
TopTools_ListOfShape | myEdgFaces |
Class to build polygonal wires.
A polygonal wire may be build from
When a point or vertex is added to the polygon if it is identic to the previous point no edge is built. The method added can be used to test it.
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | ) |
Creates an empty MakePolygon.
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | const gp_Pnt & | P1, |
const gp_Pnt & | P2, | ||
const gp_Pnt & | P3, | ||
const Standard_Boolean | Close = Standard_False ) |
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | const gp_Pnt & | P1, |
const gp_Pnt & | P2, | ||
const gp_Pnt & | P3, | ||
const gp_Pnt & | P4, | ||
const Standard_Boolean | Close = Standard_False ) |
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | const TopoDS_Vertex & | V1, |
const TopoDS_Vertex & | V2 ) |
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | const TopoDS_Vertex & | V1, |
const TopoDS_Vertex & | V2, | ||
const TopoDS_Vertex & | V3, | ||
const Standard_Boolean | Close = Standard_False ) |
BRepLib_MakePolygon::BRepLib_MakePolygon | ( | const TopoDS_Vertex & | V1, |
const TopoDS_Vertex & | V2, | ||
const TopoDS_Vertex & | V3, | ||
const TopoDS_Vertex & | V4, | ||
const Standard_Boolean | Close = Standard_False ) |
void BRepLib_MakePolygon::Add | ( | const gp_Pnt & | P | ) |
void BRepLib_MakePolygon::Add | ( | const TopoDS_Vertex & | V | ) |
Standard_Boolean BRepLib_MakePolygon::Added | ( | ) | const |
Returns True if the last vertex or point was successfully added.
void BRepLib_MakePolygon::Close | ( | ) |
const TopoDS_Edge & BRepLib_MakePolygon::Edge | ( | ) | const |
Returns the last edge added to the polygon.
const TopoDS_Vertex & BRepLib_MakePolygon::FirstVertex | ( | ) | const |
const TopoDS_Vertex & BRepLib_MakePolygon::LastVertex | ( | ) | const |
BRepLib_MakePolygon::operator TopoDS_Edge | ( | ) | const |
BRepLib_MakePolygon::operator TopoDS_Wire | ( | ) |
const TopoDS_Wire & BRepLib_MakePolygon::Wire | ( | ) |